'use strict';

var builders = require('../ast/builders.cjs');
var fnParams = require('./fn-params.cjs');
var internalScope = require('./internal-scope.cjs');
var scope = require('./scope.cjs');

function generateTreeMethodCall(id) {
  return builders.expressionStatement(
    builders.callExpression(
      builders.memberExpression(internalScope.default.tree, id, true),
      fnParams.statelessFnParams,
    ),
  );
}

function generateStatefulTreeMethodCall(id, state) {
  return builders.expressionStatement(
    builders.callExpression(builders.memberExpression(internalScope.default.tree, id, true), [
      scope.default._,
      state.declarations[0].id,
    ]),
  );
}

exports.generateStatefulTreeMethodCall = generateStatefulTreeMethodCall;
exports.generateTreeMethodCall = generateTreeMethodCall;
